Subject: Re: bug#11899: 24.1.50; Weird names and unhelpful docstrings for some python function

From: Ivan Andrus <[email-masked]>
Date: Wed, 11 Jul 2012 14:42:44 +0200

On Jul 11, 2012, at 3:14 AM, Fabián Ezequiel Gallina wrote:
> On 07/10/2012 07:23 PM, Stefan Monnier wrote:
>>>   python-nav-sentence-start
>>>   python-nav-sentence-end
>>>   python-nav-forward-sentence
>>>   python-nav-backward-sentence
>>> have weird names in the sense that they don't move by sentences.
> 
> Can you give me an example of what do you expect and the current behavior so I can have a more specific example to work on? A simplified python file and short explanation would be enough.

I'm not complaining about the functionality here.  I just don't know what a "sentence" means in a python file.  I think what is meant is a python statement, but the docstrings should reflect that, or define what is meant by a sentence.

That said, I did just notice that M-a (python-nav-backward-sentence) gets "stuck" on the comment in the test below.  If I put a blank line after the comment then it doesn't.

print libgap('if 4>3 then\nprint("hi");\nfi')
# Abort/segfault
print libgap('SmallGroup(12,3)')

I can create a new bug for that if desired.

-Ivan